# module Chef::DSL::IncludeRecipe

### Public Instance Methods

include_recipe(*recipe_names) click to toggle source

    # File lib/chef/dsl/include_recipe.rb, line 25
    def include_recipe(*recipe_names)
      run_context.include_recipe(*recipe_names)
    end

load_recipe(recipe_name) click to toggle source

    # File lib/chef/dsl/include_recipe.rb, line 29
    def load_recipe(recipe_name)
      run_context.load_recipe(recipe_name)
    end

require_recipe(*args) click to toggle source

    # File lib/chef/dsl/include_recipe.rb, line 33
    def require_recipe(*args)
      Chef::Log.warn("require_recipe is deprecated and will be removed in a future release, please use include_recipe")
      include_recipe(*args)
    end